part of fever_api;

class Group {
  final FeverAPI api;

  late int id;
  late String title;

  Group(this.api, {
    required this.id,
    required this.title,
  });

  Group.fromJSON(this.api, Map<String, dynamic> json) {
    id = toInt(json['id']);
    title = json['title'];
  }

  @override
  String toString() {
    return 'Group $id: $title';
  }
}
